View Issue Details

IDProjectCategoryView StatusLast Update
15535Bug reportsConditionspublic2019-11-18 13:53
ReporterDenisChenu Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.0-RC6 
Summary15535: Unable to use Condition gui editor
Description

When click on condition on a question : receive a 500: Internal Server Error

Steps To Reproduce

Survey/question
Click on condition

(tested with ls3_sample_survey_multilingual_fr_de_en_it.lss)

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC6 git fe43804ec0
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2019-11-05 14:58

developer  

CDbException.html (23,839 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CDbException</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>CDbException</h1>

	<p class="message">
		Table "lime_questions" does not have a column named "language".	</p>

	<div class="source">
		<p class="file">/mnt/data/shnoulle/nginx/www/develop/framework/db/schema/CDbCommandBuilder.php(697)</p>
		<div class="code"><pre><span class="ln">685</span>                     }
<span class="ln">686</span>                     else
<span class="ln">687</span>                     {
<span class="ln">688</span>                         $conditions[]=$prefix.$column-&gt;rawName.'='.self::PARAM_PREFIX.$i;
<span class="ln">689</span>                         $values[self::PARAM_PREFIX.$i]=$value;
<span class="ln">690</span>                         $i++;
<span class="ln">691</span>                     }
<span class="ln">692</span>                 }
<span class="ln">693</span>                 else
<span class="ln">694</span>                     $conditions[]=$prefix.$column-&gt;rawName.' IS NULL';
<span class="ln">695</span>             }
<span class="ln">696</span>             else
<span class="error"><span class="ln error-ln">697</span>                 throw new CDbException(Yii::t('yii','Table "{table}" does not have a column named "{column}".',
</span><span class="ln">698</span>                     array('{table}'=&gt;$table-&gt;name,'{column}'=&gt;$name)));
<span class="ln">699</span>         }
<span class="ln">700</span>         $criteria-&gt;params=array_merge($values,$criteria-&gt;params);
<span class="ln">701</span>         if(isset($conditions[0]))
<span class="ln">702</span>         {
<span class="ln">703</span>             if($criteria-&gt;condition!='')
<span class="ln">704</span>                 $criteria-&gt;condition=implode(' AND ',$conditions).' AND ('.$criteria-&gt;condition.')';
<span class="ln">705</span>             else
<span class="ln">706</span>                 $criteria-&gt;condition=implode(' AND ',$conditions);
<span class="ln">707</span>         }
<span class="ln">708</span>         return $criteria;
<span class="ln">709</span>     }
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace core collapsed">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/db/ar/CActiveRecord.php(1543): <strong>CDbCommandBuilder</strong>-&gt;<strong>createColumnCriteria</strong>(CMysqlTableSchema,
 array("parent_qid" =&gt; "2525", "language" =&gt; "en"), array("order" 
=&gt; "question_order desc"), array(), ...)				</div>

				<div class="code"><pre><span class="ln">1538</span>      */
<span class="ln">1539</span>     public function findAllByAttributes($attributes,$condition='',$params=array())
<span class="ln">1540</span>     {
<span class="ln">1541</span>         Yii::trace(get_class($this).'.findAllByAttributes()','system.db.ar.CActiveRecord');
<span class="ln">1542</span>         $prefix=$this-&gt;getTableAlias(true).'.';
<span class="error"><span class="ln error-ln">1543</span>         $criteria=$this-&gt;getCommandBuilder()-&gt;createColumnCriteria($this-&gt;getTableSchema(),$attributes,$condition,$params,$prefix);
</span><span class="ln">1544</span>         return $this-&gt;query($criteria,true);
<span class="ln">1545</span>     }
<span class="ln">1546</span> 
<span class="ln">1547</span>     /**
<span class="ln">1548</span>      * Finds a single active record with the specified SQL statement.
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/models/LSActiveRecord.php(238): <strong>CActiveRecord</strong>-&gt;<strong>findAllByAttributes</strong>(array("parent_qid" =&gt; "2525", "language" =&gt; "en"), array("order" =&gt; "question_order desc"), array())				</div>

				<div class="code"><pre><span class="ln">233</span>      * @return static[] the records found. An empty array is returned if none is found.
<span class="ln">234</span>      */
<span class="ln">235</span>     public function findAllByAttributes($attributes, $condition='',$params=array())
<span class="ln">236</span>     {
<span class="ln">237</span>         $attributes = $this-&gt;encryptAttributeValues($attributes);
<span class="error"><span class="ln error-ln">238</span>         return parent::findAllByAttributes($attributes, $condition, $params);
</span><span class="ln">239</span>     }    
<span class="ln">240</span>     
<span class="ln">241</span>     /**
<span class="ln">242</span>      * @param int $iSurveyId
<span class="ln">243</span>      * @param string $sClassName
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/admin/conditionsaction.php(1514): <strong>LSActiveRecord</strong>-&gt;<strong>findAllByAttributes</strong>(array("parent_qid" =&gt; "2525", "language" =&gt; "en"), array("order" =&gt; "question_order desc"))				</div>

				<div class="code"><pre><span class="ln">1509</span>         } elseif ($rows['type'] == Question::QT_K_MULTIPLE_NUMERICAL_QUESTION || $rows['type'] == Question::QT_Q_MULTIPLE_SHORT_TEXT) {
<span class="ln">1510</span>             //Multi shorttext/numerical
<span class="ln">1511</span>             $aresult = Question::model()-&gt;findAllByAttributes(array(
<span class="ln">1512</span>             "parent_qid" =&gt; $rows['qid'],
<span class="ln">1513</span>             "language" =&gt;$this-&gt;language,
<span class="error"><span class="ln error-ln">1514</span>             ), array('order' =&gt; 'question_order desc'));
</span><span class="ln">1515</span>             
<span class="ln">1516</span>             foreach ($aresult as $arows) {
<span class="ln">1517</span>                 $shortanswer = "{$arows['title']}: [".strip_tags($arows['question'])."]";
<span class="ln">1518</span>                 $shortquestion = $rows['title'].":$shortanswer ".strip_tags($rows['question']);
<span class="ln">1519</span>                 $cquestions[] = array($shortquestion, $rows['qid'], $rows['type'], $rows['sid'].$X.$rows['gid'].$X.$rows['qid'].$arows['title']);
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/admin/conditionsaction.php(272): <strong>conditionsaction</strong>-&gt;<strong>getCAnswersAndCQuestions</strong>(array(array("qid"
 =&gt; "2520", "sid" =&gt; "282267", "gid" =&gt; "123", "question" =&gt;
 "Short free text", ...), array("qid" =&gt; "2521", "sid" =&gt; 
"282267", "gid" =&gt; "123", "question" =&gt; "Long free text", ...), 
array("qid" =&gt; "2522", "sid" =&gt; "282267", "gid" =&gt; "123", 
"question" =&gt; "Huge free text", ...), array("qid" =&gt; "2523", "sid"
 =&gt; "282267", "gid" =&gt; "123", "question" =&gt; "Short free text 
(Numbers only)", ...), ...))				</div>

				<div class="code"><pre><span class="ln">267</span>         }
<span class="ln">268</span>     }
<span class="ln">269</span>     
<span class="ln">270</span>     // Previous question parsing ==&gt; building cquestions[] and canswers[]
<span class="ln">271</span>     if ($questionscount &gt; 0) {
<span class="error"><span class="ln error-ln">272</span>         list($cquestions, $canswers) = $this-&gt;getCAnswersAndCQuestions($theserows);
</span><span class="ln">273</span>     } //if questionscount &gt; 0
<span class="ln">274</span>     //END Gather Information for this question
<span class="ln">275</span>     
<span class="ln">276</span>     $args['sCurrentFullQuestionText'] = $sCurrentFullQuestionText;
<span class="ln">277</span>     $args['questiontitle'] = $questiontitle;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>conditionsaction</strong>-&gt;<strong>index</strong>("editconditionsform", 282267, 125, 2532)				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/actions/CAction.php(109): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(conditionsaction, array("editconditionsform", "282267", "125", "2532"))				</div>

				<div class="code"><pre><span class="ln">104</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">105</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">106</span>             else
<span class="ln">107</span>                 return false;
<span class="ln">108</span>         }
<span class="error"><span class="ln error-ln">109</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">110</span>         return true;
<span class="ln">111</span>     }
<span class="ln">112</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/core/Survey_Common_Action.php(86): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(conditionsaction,
 ReflectionMethod, array("r" =&gt; 
"admin/conditions/sa/index/subaction/editconditionsform", "surveyid" 
=&gt; "282267", "gid" =&gt; "125", "qid" =&gt; "2532", ...))				</div>

				<div class="code"><pre><span class="ln">81</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">82</span>         }
<span class="ln">83</span> 
<span class="ln">84</span>         // We're all good to go, let's execute it
<span class="ln">85</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">86</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">87</span>     }
<span class="ln">88</span> 
<span class="ln">89</span>     /**
<span class="ln">90</span>      * Some functions have different parameters, which are just an alias of the
<span class="ln">91</span>      * usual parameters we're getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(308): <strong>Survey_Common_Action</strong>-&gt;<strong>runWithParams</strong>(array("r"
 =&gt; "admin/conditions/sa/index/subaction/editconditionsform", 
"surveyid" =&gt; "282267", "gid" =&gt; "125", "qid" =&gt; "2532", ...))	
			</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(conditionsaction)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(conditionsaction, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/application/controllers/AdminController.php(163): <strong>CController</strong>-&gt;<strong>run</strong>("conditions")				</div>

				<div class="code"><pre><span class="ln">158</span>         }
<span class="ln">159</span> 
<span class="ln">160</span>         $this-&gt;runModuleController($action);
<span class="ln">161</span> 
<span class="ln">162</span> 
<span class="error"><span class="ln error-ln">163</span>         return parent::run($action);
</span><span class="ln">164</span>     }
<span class="ln">165</span> 
<span class="ln">166</span>     /**
<span class="ln">167</span>      * Starting with LS4, 3rd party developper can extends any of the LimeSurve controllers.
<span class="ln">168</span>      */
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("conditions")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/conditions/sa/index/subaction/editconditionsform")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/develop/index.php(195): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">190</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">191</span> 
<span class="ln">192</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">193</span> 
<span class="ln">194</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">195</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">196</span> 
<span class="ln">197</span> /* End of file index.php */
<span class="ln">198</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2019-11-05 13:50:26 nginx/1.16.1 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.21	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



</body></html>
CDbException.html (23,839 bytes)   
ollehar

ollehar

2019-11-13 16:49

administrator   ~54567

Resolved, but there are more issues. Try grepping for "q.language" <--- Missing factorization after l10n adaption.

lime_release_bot

lime_release_bot

2019-11-18 13:53

administrator   ~54647

Fixed in Release 4.0.0-RC8+191118

Issue History

Date Modified Username Field Change
2019-11-05 14:58 DenisChenu New Issue
2019-11-05 14:58 DenisChenu Status new => assigned
2019-11-05 14:58 DenisChenu Assigned To => cdorin
2019-11-05 14:58 DenisChenu File Added: CDbException.html
2019-11-05 14:58 DenisChenu File Added: Capture d’écran du 2019-11-05 14-58-33.png
2019-11-13 14:40 cdorin Assigned To cdorin => ollehar
2019-11-13 16:49 ollehar Note Added: 54567
2019-11-13 16:51 ollehar Status assigned => resolved
2019-11-13 16:51 ollehar Resolution open => fixed
2019-11-18 13:53 lime_release_bot Note Added: 54647
2019-11-18 13:53 lime_release_bot Status resolved => closed